cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/taxes" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"tax": {
"code": "GST",
"country": "country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d"
}
}'from exsited import build_client
client = build_client()
response = client.settings.create_settings_tax(
{"tax": {"code": "GST", "country": "country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d"}}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.createSettingsTax({
tax: {code: 'GST', country: 'country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->createSettingsTax([
'tax' => ['code' => 'GST', 'country' => 'country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d'],
]);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.settings().createSettingsTax(
Map.of("tax", Map.of("code", "GST", "country", "country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.CreateSettingsTaxAsync(new Dictionary<string, object?>
{
["tax"] = new Dictionary<string, object?>
{
["code"] = "GST",
["country"] = "country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.createSettingsTax({
'tax': {
'code': 'GST',
'country': 'country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().CreateSettingsTax(context.Background(), map[string]any{
"tax": map[string]any{
"code": "GST",
"country": "country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Instance settings
Create a tax
Creates a country tax and returns it under tax.
POST
/
settings
/
taxes
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/taxes" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"tax": {
"code": "GST",
"country": "country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d"
}
}'from exsited import build_client
client = build_client()
response = client.settings.create_settings_tax(
{"tax": {"code": "GST", "country": "country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d"}}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.createSettingsTax({
tax: {code: 'GST', country: 'country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->createSettingsTax([
'tax' => ['code' => 'GST', 'country' => 'country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d'],
]);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.settings().createSettingsTax(
Map.of("tax", Map.of("code", "GST", "country", "country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.CreateSettingsTaxAsync(new Dictionary<string, object?>
{
["tax"] = new Dictionary<string, object?>
{
["code"] = "GST",
["country"] = "country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.createSettingsTax({
'tax': {
'code': 'GST',
'country': 'country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().CreateSettingsTax(context.Background(), map[string]any{
"tax": map[string]any{
"code": "GST",
"country": "country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Send the new tax under
tax. code and country are required. There is no call that deletes a tax, so a created tax stays.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.